From 70e7def891cb14051b60b2e4378319ef229a7d3c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ky=C3=B6sti=20M=C3=A4lkki?= <kyosti.malkki@gmail.com>
Date: Sat, 16 Apr 2016 01:40:45 +0300
Subject: [PATCH 2/3] AGESA: Do not optimise amdlib.c for size

Using -Os disables -falign-functions, for unlucky builds this will
delay entry to ramstage by 600ms. This almost doubles the time spent
in romstage for builds where serial console is disabled.
---
 src/vendorcode/amd/agesa/f14/Makefile.inc | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/vendorcode/amd/agesa/f14/Makefile.inc b/src/vendorcode/amd/agesa/f14/Makefile.inc
index a5f7561..1eee9bf 100644
--- a/src/vendorcode/amd/agesa/f14/Makefile.inc
+++ b/src/vendorcode/amd/agesa/f14/Makefile.inc
@@ -330,6 +330,10 @@ libagesa-y += Proc/GNB/Nb/NbPowerMgmt.c
 libagesa-y += Proc/Recovery/HT/htInitReset.c
 libagesa-y += Proc/Mem/Main/mu.c
 
+# Do not optimise performance-critical low-level IO for size with -Os,
+# request -O2 with -falign-functions.
+$(obj)/libagesa/vendorcode/amd/agesa/f14/Lib/amdlib.o: CFLAGS_libagesa += -O2
+
 $(obj)/libagesa.fam14.a: $$(libagesa-objs)
 	@printf " AGESA $(subst $(obj)/,,$(@))\n"
 	$(AR_romstage) rcs $@ $+
-- 
1.9.1

